Bug 1118787 - Conflict between docker-1.5-10.fc20.x86_64 and docker-io-1.0.0-3.fc20.x86_64
Summary: Conflict between docker-1.5-10.fc20.x86_64 and docker-io-1.0.0-3.fc20.x86_64
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 14:14 UTC by Fabian Affolter
Modified: 2014-07-11 18:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-11 18:54:48 UTC


Attachments (Terms of Use)

Description Fabian Affolter 2014-07-11 14:14:52 UTC
Description of problem:

Transaction check error:
  file /usr/bin/docker from install of docker-io-1.0.0-3.fc20.x86_64 conflicts with file from package docker-1.5-10.fc20.x86_64

Version-Release number of selected component (if applicable):
- docker.x86_64 0:1.5-10.fc20
- docker-io.x86_64 0:1.0.0-3.fc20

How reproducible:
First installing docker then python-docker-py

Steps to Reproduce:
1. $ sudo yum -y install docker
2. $ sudo yum -y install python-docker-py

Actual results:
Error

Expected results:
Installation of python-docker-py

Comment 1 Matthew Miller 2014-07-11 18:54:48 UTC
This is not a bug -- it is intentional. (A little bit unfortunate, but unavoidable.) The old docker package is being renamed to wmdocker. See https://fedorahosted.org/fpc/ticket/341

In F21, there is no package named "docker"; in F22, the "docker-io" package will be renamed to just that.


Note You need to log in before you can comment on or make changes to this bug.